/*
 * Copyright (C) The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package ocrreadercompletewrapper;

import anywheresoftware.b4a.AbsObjectWrapper;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.Author;
import anywheresoftware.b4a.BA.Hide;
import anywheresoftware.b4a.BA.Pixel;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.BA.DependsOn;
import anywheresoftware.b4a.keywords.Common.DesignerCustomView;
import anywheresoftware.b4a.objects.LabelWrapper;
import anywheresoftware.b4a.objects.PanelWrapper;
import anywheresoftware.b4a.objects.ViewWrapper;
import anywheresoftware.b4a.BA.ActivityObject;
import anywheresoftware.b4a.BA.Events;
import anywheresoftware.b4a.IOnActivityResult;
import anywheresoftware.b4a.BA.Permissions;

import android.content.Intent;
import android.os.Bundle;
import android.app.Activity;
import android.util.Log;
import android.view.View;
import android.widget.CompoundButton;
import android.widget.TextView;
import android.graphics.Color;

import com.google.android.gms.samples.vision.ocrreader.OcrCaptureActivity;

@ActivityObject
@ShortName("OCRReaderComplete")
//@Events(values={"email_send_result(to As String, subject As string, message as string)"})
//@Author("Github: Benjamin Johns, Wrapped by: Johan Schoeman")
@Version(1.00f)
@DependsOn(values={"android-support-v7-appcompat", "android-support-v4", "com.google.android.gms:play-services-vision",
                   "com.google.android.gms:play-services-base", "com.google.android.gms:play-services-basement"})
@Permissions(values={"android.permission.CAMERA"})
//"com.android.support:design", "google-play-services", "android-support-design",
public class ocrreadercompleteWrapper extends AbsObjectWrapper<OcrCaptureActivity> {

	
	@Hide
	public static BA ba;
	@Hide
	public static String eventName;
	private static OcrCaptureActivity cv;
	private IOnActivityResult ion;
	
	public static int OCRtextColor = Color.RED;
	public static float OCRtextSize = 35.0f;
	public static int OCRrectangleColor = 0xff0000ff;
	public static float OCRrectangleWidth = 4.0f;	
	
 
    @Hide
	public static boolean useflash = false; 
    public void setUseFlash(boolean useflash) {
		this.useflash = useflash;
	}
	
	@Hide
	public static boolean useautofocus = true;
    public void setUseAutoFocus(boolean useautofocus) {
		this.useautofocus = useautofocus;
	}	

	
	//public static String OCRInfoMessage = "Tap to capture. Pinch/Stretch to zoom";
	
	Intent izx;
	
	public void Initialize(BA paramBA, String paramString) {
	    eventName = paramString.toLowerCase(BA.cul);
	    ba = paramBA;

	    OcrCaptureActivity cv = new OcrCaptureActivity();
	    String str = paramString.toLowerCase(BA.cul);
	
	    setObject(cv);
		izx = new Intent(BA.applicationContext, OcrCaptureActivity.class);	
	}	


     public void StartOCRReader() {
		ion = new IOnActivityResult() {
			
			@Override
			public void ResultArrived(int arg0, Intent data) {
				
			}
		};
		ba.startActivityForResult(ion, izx);
	}
	

	
 
}
